# Uses of Class
org.apache.qpid.proton.amqp.UnsignedInteger

Packages that use UnsignedInteger
Package
Description
org.apache.qpid.proton.amqp
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.codec
org.apache.qpid.proton.codec.impl
org.apache.qpid.proton.engine.impl

## Uses of UnsignedInteger in org.apache.qpid.proton.amqp

Fields in org.apache.qpid.proton.amqp declared as UnsignedInteger
Modifier and Type
Field
Description
`static final UnsignedInteger`
UnsignedInteger.`MAX_VALUE`
`static final UnsignedInteger`
UnsignedInteger.`ONE`
`static final UnsignedInteger`
UnsignedInteger.`ZERO`
Methods in org.apache.qpid.proton.amqp that return UnsignedInteger
Modifier and Type
Method
Description
`UnsignedInteger`
UnsignedInteger.`add(UnsignedInteger i)`
`UnsignedInteger`
UnsignedInteger.`subtract(UnsignedInteger i)`
`static UnsignedInteger`
UnsignedInteger.`valueOf(int underlying)`
`static UnsignedInteger`
UnsignedInteger.`valueOf(long longVal)`
`static UnsignedInteger`
UnsignedInteger.`valueOf(String value)`
Methods in org.apache.qpid.proton.amqp with parameters of type UnsignedInteger
Modifier and Type
Method
Description
`UnsignedInteger`
UnsignedInteger.`add(UnsignedInteger i)`
`int`
UnsignedInteger.`compareTo(UnsignedInteger o)`
`UnsignedInteger`
UnsignedInteger.`subtract(UnsignedInteger i)`

## Uses of UnsignedInteger in org.apache.qpid.proton.amqp.messaging

Methods in org.apache.qpid.proton.amqp.messaging that return UnsignedInteger
Modifier and Type
Method
Description
`UnsignedInteger`
Header.`getDeliveryCount()`
`UnsignedInteger`
Properties.`getGroupSequence()`
`UnsignedInteger`
Received.`getSectionNumber()`
`final UnsignedInteger`
Terminus.`getTimeout()`
`UnsignedInteger`
Header.`getTtl()`
`UnsignedInteger`
TerminusDurability.`getValue()`
Methods in org.apache.qpid.proton.amqp.messaging with parameters of type UnsignedInteger
Modifier and Type
Method
Description
`static TerminusDurability`
TerminusDurability.`get(UnsignedInteger value)`
`void`
Header.`setDeliveryCount(UnsignedInteger deliveryCount)`
`void`
Properties.`setGroupSequence(UnsignedInteger groupSequence)`
`void`
Received.`setSectionNumber(UnsignedInteger sectionNumber)`
`final void`
Terminus.`setTimeout(UnsignedInteger timeout)`
`void`
Header.`setTtl(UnsignedInteger ttl)`

## Uses of UnsignedInteger in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return UnsignedInteger
Modifier and Type
Method
Description
`UnsignedInteger`
Flow.`getAvailable()`
`UnsignedInteger`
Flow.`getDeliveryCount()`
`UnsignedInteger`
Transfer.`getDeliveryId()`
`UnsignedInteger`
Disposition.`getFirst()`
`UnsignedInteger`
Attach.`getHandle()`
`UnsignedInteger`
Detach.`getHandle()`
`UnsignedInteger`
Flow.`getHandle()`
`UnsignedInteger`
Transfer.`getHandle()`
`UnsignedInteger`
Begin.`getHandleMax()`
`UnsignedInteger`
Open.`getIdleTimeOut()`
`UnsignedInteger`
Begin.`getIncomingWindow()`
`UnsignedInteger`
Flow.`getIncomingWindow()`
`UnsignedInteger`
Attach.`getInitialDeliveryCount()`
`UnsignedInteger`
Disposition.`getLast()`
`UnsignedInteger`
Flow.`getLinkCredit()`
`UnsignedInteger`
Open.`getMaxFrameSize()`
`UnsignedInteger`
Transfer.`getMessageFormat()`
`UnsignedInteger`
Flow.`getNextIncomingId()`
`UnsignedInteger`
Begin.`getNextOutgoingId()`
`UnsignedInteger`
Flow.`getNextOutgoingId()`
`UnsignedInteger`
Begin.`getOutgoingWindow()`
`UnsignedInteger`
Flow.`getOutgoingWindow()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type UnsignedInteger
Modifier and Type
Method
Description
`void`
Flow.`setAvailable(UnsignedInteger available)`
`void`
Flow.`setDeliveryCount(UnsignedInteger deliveryCount)`
`void`
Transfer.`setDeliveryId(UnsignedInteger deliveryId)`
`void`
Disposition.`setFirst(UnsignedInteger first)`
`void`
Attach.`setHandle(UnsignedInteger handle)`
`void`
Detach.`setHandle(UnsignedInteger handle)`
`void`
Flow.`setHandle(UnsignedInteger handle)`
`void`
Transfer.`setHandle(UnsignedInteger handle)`
`void`
Begin.`setHandleMax(UnsignedInteger handleMax)`
`void`
Open.`setIdleTimeOut(UnsignedInteger idleTimeOut)`
`void`
Begin.`setIncomingWindow(UnsignedInteger incomingWindow)`
`void`
Flow.`setIncomingWindow(UnsignedInteger incomingWindow)`
`void`
Attach.`setInitialDeliveryCount(UnsignedInteger initialDeliveryCount)`
`void`
Disposition.`setLast(UnsignedInteger last)`
`void`
Flow.`setLinkCredit(UnsignedInteger linkCredit)`
`void`
Open.`setMaxFrameSize(UnsignedInteger maxFrameSize)`
`void`
Transfer.`setMessageFormat(UnsignedInteger messageFormat)`
`void`
Flow.`setNextIncomingId(UnsignedInteger nextIncomingId)`
`void`
Begin.`setNextOutgoingId(UnsignedInteger nextOutgoingId)`
`void`
Flow.`setNextOutgoingId(UnsignedInteger nextOutgoingId)`
`void`
Begin.`setOutgoingWindow(UnsignedInteger outgoingWindow)`
`void`
Flow.`setOutgoingWindow(UnsignedInteger outgoingWindow)`

## Uses of UnsignedInteger in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return UnsignedInteger
Modifier and Type
Method
Description
`UnsignedInteger`
Data.`getUnsignedInteger()`
`UnsignedInteger`
Decoder.`readUnsignedInteger()`
`UnsignedInteger`
Decoder.`readUnsignedInteger(UnsignedInteger defaultVal)`
`UnsignedInteger`
DecoderImpl.`readUnsignedInteger()`
`UnsignedInteger`
DecoderImpl.`readUnsignedInteger(UnsignedInteger defaultVal)`
Methods in org.apache.qpid.proton.codec that return types with arguments of type UnsignedInteger
Modifier and Type
Method
Description
`Class<UnsignedInteger>`
UnsignedIntegerType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec with parameters of type UnsignedInteger
Modifier and Type
Method
Description
`void`
UnsignedIntegerType.`fastWrite(EncoderImpl encoder, UnsignedInteger value)`
`UnsignedIntegerType.UnsignedIntegerEncoding`
UnsignedIntegerType.`getEncoding(UnsignedInteger val)`
`void`
Data.`putUnsignedInteger(UnsignedInteger ui)`
`UnsignedInteger`
Decoder.`readUnsignedInteger(UnsignedInteger defaultVal)`
`UnsignedInteger`
DecoderImpl.`readUnsignedInteger(UnsignedInteger defaultVal)`
`void`
Encoder.`writeUnsignedInteger(UnsignedInteger ushort)`
`void`
EncoderImpl.`writeUnsignedInteger(UnsignedInteger uint)`

## Uses of UnsignedInteger in org.apache.qpid.proton.codec.impl

Methods in org.apache.qpid.proton.codec.impl that return UnsignedInteger
Modifier and Type
Method
Description
`UnsignedInteger`
DataImpl.`getUnsignedInteger()`
Methods in org.apache.qpid.proton.codec.impl with parameters of type UnsignedInteger
Modifier and Type
Method
Description
`void`
DataImpl.`putUnsignedInteger(UnsignedInteger ui)`

## Uses of UnsignedInteger in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return UnsignedInteger
Modifier and Type
Method
Description
`UnsignedInteger`
TransportDelivery.`getDeliveryId()`